Subject: bug#70051: system hangs at boot - LUKS /home/ problem(?)

From: Benjamin Slade <[email-masked]>
Date: Tue, 02 Apr 2024 15:00:02 -0500

I can't roll back to the earlier commit mentioned by Remco because other things/channels depend on me being roughly up-to-date on the main guix channel.

However, I can confirm the issue, as changing my configuration *not* to mount an encrypted /home resolves the boot issue.

I note two things:

a. when I try to configure with an encrypted /home, I get error/warning messages at the end: (earlier I also got a message about the "find-crypthome-by-uuid" process failing; I changed to specify a /dev/sXN device instead)

        guix system: warning: exception caught while executing 'start' on service 'device-mapping-crypthome':
      error: system*/tty: unbound variable
      guix system: warning: some services could not be upgraded
      hint: to allow changes to all the systems to take effect, you will need to reboot.

b. no `crypttab' is created (I don't remember how Guix handles encrypted /home's to know whether or not this is expected).

--B.

On Sat, 30 Mar 2024 16:25:07 +0100 (3 days, 4 hours, 30 minutes ago), Remco van 't Veer <[email-masked]> wrote:

> Hi,

> Confirmed on a couple of my installs.  I too have an unencrypted root
> and encrypted home filesystems.  The passphrase prompt never appears and
> the system seems to be waiting for something or is halted.

> I've git bisected it down to:

>   commit 6f9d844d2ece7b369d17bbe678978462425f869c (HEAD)
>   Author: Ludovic Courtès <[email-masked]>
>   Date:   Wed Mar 20 18:48:38 2024 +0100

>     services: shepherd: Load each service file in a fresh module.

>     Fixes <https://issues.guix.gnu.org/67649>.

>     * gnu/home/services/shepherd.scm (home-shepherd-configuration-file)[config]:
>     Define ‘make-user-module’.  Call ‘load’ in ‘save-module-excursion’.
>     * gnu/services/shepherd.scm (shepherd-configuration-file): Likewise.

> Commit 2b052fe3c0fa85e9faa8873a581568ad4c78e151 still works.

> Cheers,
> Remco